Last Comment Bug 917231 - Auto Cc filling for Reply isn't working if Cc email address is same like sender
: Auto Cc filling for Reply isn't working if Cc email address is same like sender
Status: RESOLVED FIXED
[workaround: comment #10]
: regression
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: 24 Branch
: All All
: -- normal with 4 votes (vote)
: Thunderbird 27.0
Assigned To: Magnus Melin
:
Mentors:
: 923759 928129 (view as bug list)
Depends on: 933555
Blocks: tb-enterprise 250187
  Show dependency treegraph
 
Reported: 2013-09-17 03:08 PDT by black.dex
Modified: 2014-01-14 01:26 PST (History)
18 users (show)
mkmelin+mozilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
25+
fixed


Attachments
proposed fix (35.31 KB, patch)
2013-10-08 12:14 PDT, Magnus Melin
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr24+
Details | Diff | Splinter Review

Description black.dex 2013-09-17 03:08:53 PDT
User Agent: Opera/9.80 (X11; Linux x86_64) Presto/2.12.388 Version/12.16

Steps to reproduce:

Have my account set-up so that it will automatically fill-in/add a Cc mail address.
Click on a mail which is received.
Click on the reply button.


Actual results:

Only the To is filled in, no Cc field with the configured Cc mail address for that mail account/identity.


Expected results:

The Cc field should have been filled with the configured mail address for that specific account/identity.
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2013-09-17 03:22:52 PDT
Does it also fail in safe mode?
https://support.mozillamessaging.com/en-US/kb/safe-mode
(always good to test safe mode and mention it in bug report)
Comment 2 black.dex 2013-09-17 03:27:43 PDT
Yes i have tested in safe mode :).

I Also just tested it with the 24.0b3 Windows build, and it also happens there.

Then i thought of something, what happens if i enter an different mail address then which is used as sender.
For example i have user@domain.com as account and enter user@domain.com as a default Cc, this won't work.
When i add user2@domain.com it does..

So somewhere there is a check to see if it matches the sender.
Maybe this can be turned on or off if with a special setting??
Comment 3 Ludovic Hirlimann [:Usul] 2013-09-17 03:41:46 PDT
anything in Tools -> Error console when this happens ?
Comment 4 black.dex 2013-09-17 04:28:25 PDT
Checked the Tools > Error console, also nothing.
Tested a few other versions, and for some strange reason it works only on the 17 build for me...
After that it stops working.
Tried every build since 17, including the daily 26 build.
All with a clean profile.

Am i missing some "hidden" setting?
Comment 5 Sebastian Hengst [:aryx][:archaeopteryx] 2013-09-17 04:46:34 PDT
Confirming with Thunderbird 24.0b3 build 1 on Windows XP SP3.
Comment 6 Sebastian Hengst [:aryx][:archaeopteryx] 2013-09-17 05:47:21 PDT
Doesn't happen with Thunderbird 17.0.8 on same machine -> regression.

This seems to be a regression from the fix for bug 250187. Replying to a mail runs through http://hg.mozilla.org/comm-central/annotate/24c9b80011a2/mailnews/compose/src/nsMsgCompose.cpp#l2774

A few lines below at http://hg.mozilla.org/comm-central/diff/931f0547903c/mailnews/compose/src/nsMsgCompose.cpp , the "duplicate" CC mail address get removed.

Requesting blocking-thunderbird24 because this affects many setups where people share a mail address and use the auto cc to make each other aware of replies (e.g. in voluntary organizations).
Comment 7 Mark Banner (:standard8) 2013-09-23 06:37:52 PDT
Magnus, was this part of the change intentional?
Comment 8 Magnus Melin 2013-09-23 11:41:55 PDT
No, just and overlooked edge-case.
Comment 9 Saul R 2013-09-24 11:50:43 PDT
Archaeopteryx [:aryx] 2013-09-17 05:47:21 PDT is correct.
>> Requesting blocking-thunderbird24 because this affects many setups where people share a mail address and use the auto cc to make each other aware of replies (e.g. in voluntary organizations).

This is important to us.  Had I known about this bug, I would not have installed Tbird 24.0 for our group.
Comment 10 rsx11m 2013-09-24 12:21:13 PDT
It appears that only the "Cc" field is affected, not though the "Bcc" entry. Switching the checkboxes in the Copies & Folders Account Settings and making my own address "Bcc" to works on a reply, whereas using the "Cc" version fails to fill it in. So, this might serve as a suitable workaround for the time being.
Comment 11 Saul R 2013-09-24 12:29:43 PDT
Possible work around?

Enter your address in the Settings menu, as a cc with a different case.
instead of abc@sample.com use ABC@sample.com

Uses one Thunderbird bug to compensate for another :-)

IMO, it is a bug that TBird considers emails with a different case to be different email addresses, but that bug is useful here !
Comment 12 Magnus Melin 2013-09-24 13:21:07 PDT
FWIW, i think i have fixed this locally. Still need to test, write tests, and clean it up.
Comment 13 Magnus Melin 2013-10-08 12:14:39 PDT
Created attachment 814497 [details] [diff] [review]
proposed fix

This fixes it, and cleans things up a bit + tests for auto-cc.
I resisted cleaning up the prevalent if(mIdentity) nonsense for now...
Comment 14 Magnus Melin 2013-10-08 23:14:00 PDT
Successful try @ https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=efdb816dd464
Comment 15 Mark Banner (:standard8) 2013-10-15 03:25:35 PDT
Comment on attachment 814497 [details] [diff] [review]
proposed fix

Review of attachment 814497 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, r=Standard8
Comment 16 Mark Banner (:standard8) 2013-10-15 06:13:17 PDT
Pushed to trunk to get landed for branches:

https://hg.mozilla.org/comm-central/rev/e44c6f5273a0
Comment 18 Magnus Melin 2013-10-17 04:44:03 PDT
*** Bug 923759 has been marked as a duplicate of this bug. ***
Comment 19 Frank Farance 2013-10-17 05:38:13 PDT
See also Bug 759018, which explains the problems with Reply-All in terms of sorting out the To: and Cc: lines.  Truly a problem with TB that I still need to fix with EVERY E-mail I send.  Honestly, I don't care about the IDN E-mail addresses and all the other stuff that gets added.  This To/Cc rewriting (as I explained in Bug 759018, also known as Eudora style) is the MOST IMPORTANT feature to me because I need to workaround this on EVERY E-mail.
Comment 20 Mark Banner (:standard8) 2013-10-22 04:01:54 PDT
https://hg.mozilla.org/releases/comm-esr24/rev/abcc755bafd9
Comment 21 Thomas D. (currently busy elsewhere; needinfo?me) 2013-11-01 05:06:26 PDT
*** Bug 928129 has been marked as a duplicate of this bug. ***
Comment 22 Wayne Mery (:wsmwk, NI for questions) 2013-11-01 05:24:51 PDT
It's great that this will be going out, because I'm sure many enterprisy folks use this.

Note You need to log in before you can comment on or make changes to this bug.